summaryrefslogtreecommitdiffstats
path: root/libraries/libvhdi
diff options
context:
space:
mode:
author Barry J. Grundy2014-12-16 13:04:38 +0100
committer Willy Sudiarto Raharjo2014-12-16 13:04:38 +0100
commit0b6e1611e0ddaee4562874b8a7c7b946f1190375 (patch)
tree30560a5686fd2adf39d6c471dd5d107d1db67d34 /libraries/libvhdi
parent59627d0053a3fbcae7ea18886b26ece019a8a1d7 (diff)
downloadslackbuilds-0b6e1611e0ddaee4562874b8a7c7b946f1190375.tar.gz
libraries/libvhdi: Added (libYAL VHD Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libvhdi')
-rw-r--r--libraries/libvhdi/README14
-rw-r--r--libraries/libvhdi/libvhdi.SlackBuild101
-rw-r--r--libraries/libvhdi/libvhdi.info10
-rw-r--r--libraries/libvhdi/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/libraries/libvhdi/README b/libraries/libvhdi/README
new file mode 100644
index 0000000000..d148ce9f51
--- /dev/null
+++ b/libraries/libvhdi/README
@@ -0,0 +1,14 @@
+libvhdi (libYAL VHD library)
+
+Library and tools to access the Virtual Hard Disk (VHD) image format.
+
+Read supported formats:
+
+ VHD version 1
+
+Supported image types:
+
+ Fixed-size hard disk image
+ Dynamic-size (or sparse) hard disk image
+ Differential (or differencing) hard disk image
+ Note that an undo disk image (.vud) is also a differential image
diff --git a/libraries/libvhdi/libvhdi.SlackBuild b/libraries/libvhdi/libvhdi.SlackBuild
new file mode 100644
index 0000000000..80e5207267
--- /dev/null
+++ b/libraries/libvhdi/libvhdi.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for libvhdi
+
+# Copyright 2014 Barry J. Grundy (bgrundy<at>linuxleo.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Updated v20141021 December 2014 Barry J. Grundy <bgrundy(at)linuxleo.com
+
+PRGNAM=libvhdi
+VERSION=${VERSION:-20141021}
+STATUS=${STATUS:-alpha}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$STATUS-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-python \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libvhdi/libvhdi.info b/libraries/libvhdi/libvhdi.info
new file mode 100644
index 0000000000..033cd5978f
--- /dev/null
+++ b/libraries/libvhdi/libvhdi.info
@@ -0,0 +1,10 @@
+PRGNAM="libvhdi"
+VERSION="20141021"
+HOMEPAGE="https://github.com/libyal/libvhdi"
+DOWNLOAD="https://github.com/libyal/libvhdi/releases/download/20141021/libvhdi-alpha-20141021.tar.gz"
+MD5SUM="81b54bda6419c4960e9b653ae0e5e1ef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Barry J. Grundy"
+EMAIL="bgrundy<at>linuxleo.com"
diff --git a/libraries/libvhdi/slack-desc b/libraries/libvhdi/slack-desc
new file mode 100644
index 0000000000..158abe63ee
--- /dev/null
+++ b/libraries/libvhdi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libvhdi: libvhdi (libYAL VHD library)
+libvhdi:
+libvhdi: Library to access the Virtual Hard Disk (VHD) image format.
+libvhdi:
+libvhdi: Homepage: https://github.com/libyal/libvhdi
+libvhdi:
+libvhdi:
+libvhdi:
+libvhdi:
+libvhdi:
+libvhdi: